Public Attributes | List of all members
_spi_handle Struct Reference
Peripheral Driver » HAL Driver » SPI » Structures » SPI handle

SPI handle Structure definition. More...

`#include <gr55xx_hal_spi.h>`

Collaboration diagram for _spi_handle:
[legend]

## Public Attributes
spi_regs_t * | p_instance
| SPI registers base address More...
spi_init_t | init
| SPI communication parameters More...
__IO uint32_t | soft_cs_magic
| if equals to SPI_SOFT_CS_MAGIC_NUMBER, control the CS signal by software More...
uint8_t * | p_tx_buffer
| Pointer to SPI Tx transfer Buffer. More...
__IO uint32_t | tx_xfer_size
| SPI Tx Transfer size More...
__IO uint32_t | tx_xfer_count
| SPI Tx Transfer Counter More...
uint8_t * | p_rx_buffer
| Pointer to SPI Rx transfer Buffer. More...
__IO uint32_t | rx_xfer_size
| SPI Rx Transfer size More...
__IO uint32_t | rx_xfer_count
| SPI Rx Transfer Counter More...
void(* | write_fifo )(struct _spi_handle *p_spi)
| Pointer to SPI Tx transfer FIFO write function. More...
void(* | read_fifo )(struct _spi_handle *p_spi)
| Pointer to SPI Rx transfer FIFO read function More...
void(* | read_write_fifo )(struct _spi_handle *p_spi)
| Pointer to SPI transfer FIFO read and write function More...
dma_handle_t * | p_dmatx
| SPI Tx DMA Handle parameters More...
dma_handle_t * | p_dmarx
| SPI Rx DMA Handle parameters More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_spi_state_t | state
| SPI communication state More...
__IO uint32_t | error_code
| SPI Error code More...
uint32_t | timeout
| Timeout for the SPI memory access. More...
uint32_t | retention [9]
| SPI important register information. More...

## Detailed Description

SPI handle Structure definition.

Definition at line 195 of file gr55xx_hal_spi.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _spi_handle::error_code

SPI Error code

Definition at line 229 of file gr55xx_hal_spi.h.

## ◆ init

spi_init_t _spi_handle::init

SPI communication parameters

Definition at line 199 of file gr55xx_hal_spi.h.

## ◆ lock

__IO hal_lock_t _spi_handle::lock

Locking object

Definition at line 225 of file gr55xx_hal_spi.h.

## ◆ p_dmarx

dma_handle_t* _spi_handle::p_dmarx

SPI Rx DMA Handle parameters

Definition at line 223 of file gr55xx_hal_spi.h.

## ◆ p_dmatx

dma_handle_t* _spi_handle::p_dmatx

SPI Tx DMA Handle parameters

Definition at line 221 of file gr55xx_hal_spi.h.

## ◆ p_instance

spi_regs_t* _spi_handle::p_instance

SPI registers base address

Definition at line 197 of file gr55xx_hal_spi.h.

## ◆ p_rx_buffer

uint8_t* _spi_handle::p_rx_buffer

Pointer to SPI Rx transfer Buffer.

Definition at line 209 of file gr55xx_hal_spi.h.

## ◆ p_tx_buffer

uint8_t* _spi_handle::p_tx_buffer

Pointer to SPI Tx transfer Buffer.

Definition at line 203 of file gr55xx_hal_spi.h.

## ◆ read_fifo

void(* _spi_handle::read_fifo) (struct _spi_handle *p_spi)

Pointer to SPI Rx transfer FIFO read function

Definition at line 217 of file gr55xx_hal_spi.h.

## ◆ read_write_fifo

void(* _spi_handle::read_write_fifo) (struct _spi_handle *p_spi)

Pointer to SPI transfer FIFO read and write function

Definition at line 219 of file gr55xx_hal_spi.h.

## ◆ retention

uint32_t _spi_handle::retention[9]

SPI important register information.

Definition at line 233 of file gr55xx_hal_spi.h.

## ◆ rx_xfer_count

__IO uint32_t _spi_handle::rx_xfer_count

SPI Rx Transfer Counter

Definition at line 213 of file gr55xx_hal_spi.h.

## ◆ rx_xfer_size

__IO uint32_t _spi_handle::rx_xfer_size

SPI Rx Transfer size

Definition at line 211 of file gr55xx_hal_spi.h.

## ◆ soft_cs_magic

__IO uint32_t _spi_handle::soft_cs_magic

if equals to SPI_SOFT_CS_MAGIC_NUMBER, control the CS signal by software

Definition at line 201 of file gr55xx_hal_spi.h.

## ◆ state

__IO hal_spi_state_t _spi_handle::state

SPI communication state

Definition at line 227 of file gr55xx_hal_spi.h.

## ◆ timeout

uint32_t _spi_handle::timeout

Timeout for the SPI memory access.

Definition at line 231 of file gr55xx_hal_spi.h.

## ◆ tx_xfer_count

__IO uint32_t _spi_handle::tx_xfer_count

SPI Tx Transfer Counter

Definition at line 207 of file gr55xx_hal_spi.h.

## ◆ tx_xfer_size

__IO uint32_t _spi_handle::tx_xfer_size

SPI Tx Transfer size

Definition at line 205 of file gr55xx_hal_spi.h.

## ◆ write_fifo

void(* _spi_handle::write_fifo) (struct _spi_handle *p_spi)

Pointer to SPI Tx transfer FIFO write function.

Definition at line 215 of file gr55xx_hal_spi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_spi.h